
%global meadversion 2.1.2
%global namedversion 2.1.2.redhat-00003
%global meadalpha .redhat_00003
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00003

%{?scl:%scl_package jctools}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.1.2.redhat-00003

Name:		    %{?scl_prefix}jctools
Summary:	    Java Concurrency Tools for the JVM
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jctools-parent-2.1.2.redhat-00003-project-sources.tar.gz
Source102: jctools-concurrency-test-2.1.2.redhat-00003-sources.jar
Source103: jctools-build-2.1.2.redhat-00003.jar
Source104: jctools-core-2.1.2.redhat-00003-javadoc.jar
Source105: jctools-experimental-2.1.2.redhat-00003-sources.jar
Source106: jctools-core-2.1.2.redhat-00003-sources.jar
Source107: jctools-channels-2.1.2.redhat-00003-sources.jar
Source108: jctools-benchmarks-2.1.2.redhat-00003.jar
Source109: jctools-concurrency-test-2.1.2.redhat-00003.jar
Source110: jctools-experimental-2.1.2.redhat-00003.pom
Source111: jctools-build-2.1.2.redhat-00003.pom
Source112: jctools-experimental-2.1.2.redhat-00003.jar
Source113: jctools-channels-2.1.2.redhat-00003.jar
Source114: jctools-channels-2.1.2.redhat-00003.pom
Source115: jctools-concurrency-test-2.1.2.redhat-00003.pom
Source116: jctools-core-2.1.2.redhat-00003-tests.jar
Source117: jctools-parent-2.1.2.redhat-00003.pom
Source118: jctools-core-2.1.2.redhat-00003.jar
Source119: jctools-benchmarks-2.1.2.redhat-00003.pom
Source120: jctools-build-2.1.2.redhat-00003-sources.jar
Source121: jctools-core-2.1.2.redhat-00003.pom
Source122: jctools-benchmarks-2.1.2.redhat-00003-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/JCTools
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jctools
Group:          Development/Java


%description javadoc
Javadoc for jctools
%endif

%package -n %{?scl_prefix}jctools-benchmarks
Summary:        JCTools Benchmarks
Group:          Development/Java

%description -n %{?scl_prefix}jctools-benchmarks
%{summary}.

%package -n %{?scl_prefix}jctools-build
Summary:        JCTools Build Tools
Group:          Development/Java

%description -n %{?scl_prefix}jctools-build
%{summary}.

%package -n %{?scl_prefix}jctools-concurrency-test
Summary:        JCTools Concurrency Test
Group:          Development/Java

%description -n %{?scl_prefix}jctools-concurrency-test
%{summary}.

%package -n %{?scl_prefix}jctools-core
Summary:        JCTools Core Library
Group:          Development/Java

%description -n %{?scl_prefix}jctools-core
%{summary}.

%package -n %{?scl_prefix}jctools-experimental
Summary:        JCTools Experimental implementations
Group:          Development/Java

%description -n %{?scl_prefix}jctools-experimental
%{summary}.

%prep
%setup -q -n jctools-parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/jctools-benchmarks-%{namedversion}.jar %{buildroot}%{_javadir}/jctools-benchmarks-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jctools-build-%{namedversion}.jar %{buildroot}%{_javadir}/jctools-build-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jctools-concurrency-test-%{namedversion}.jar %{buildroot}%{_javadir}/jctools-concurrency-test-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jctools-core-%{namedversion}.jar %{buildroot}%{_javadir}/jctools-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jctools-experimental-%{namedversion}.jar %{buildroot}%{_javadir}/jctools-experimental-%{namedversion}.jar


%{__cp} -p %{_sourcedir}/jctools-benchmarks-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jctools-benchmarks-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jctools-build-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jctools-build-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jctools-concurrency-test-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jctools-concurrency-test-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jctools-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jctools-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jctools-experimental-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jctools-experimental-%{namedversion}-sources.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/jctools-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jctools-core-%{namedversion}-javadoc.jar
%endif


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jctools-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jctools-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jctools-core-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s jctools-core-%{namedversion} jctools-core)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md RELEASE-NOTES.md

%files -n %{?scl_prefix}jctools-benchmarks
%defattr(0644,root,root,0755)
%{_javadir}/jctools-benchmarks-%{namedversion}.jar
%{_javadir}/jctools-benchmarks.jar
%{_javadir}/jctools-benchmarks-%{namedversion}-sources.jar
%{_javadir}/jctools-benchmarks-sources.jar

%files -n %{?scl_prefix}jctools-build
%defattr(0644,root,root,0755)
%{_javadir}/jctools-build-%{namedversion}.jar
%{_javadir}/jctools-build.jar
%{_javadir}/jctools-build-%{namedversion}-sources.jar
%{_javadir}/jctools-build-sources.jar

%files -n %{?scl_prefix}jctools-concurrency-test
%defattr(0644,root,root,0755)
%{_javadir}/jctools-concurrency-test-%{namedversion}.jar
%{_javadir}/jctools-concurrency-test.jar
%{_javadir}/jctools-concurrency-test-%{namedversion}-sources.jar
%{_javadir}/jctools-concurrency-test-sources.jar

%files -n %{?scl_prefix}jctools-core
%defattr(0644,root,root,0755)
%{_javadir}/jctools-core-%{namedversion}.jar
%{_javadir}/jctools-core.jar
%{_javadir}/jctools-core-%{namedversion}-sources.jar
%{_javadir}/jctools-core-sources.jar

%files -n %{?scl_prefix}jctools-experimental
%defattr(0644,root,root,0755)
%{_javadir}/jctools-experimental-%{namedversion}.jar
%{_javadir}/jctools-experimental.jar
%{_javadir}/jctools-experimental-%{namedversion}-sources.jar
%{_javadir}/jctools-experimental-sources.jar


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jctools-core
%{_javadocdir}/jctools-core-%{namedversion}
%endif

%changelog
* Mon Jan 11 2021 Yong Yang <yyang@redhat.com> - 2.1.2-1.redhat_00003.1
- 2.1.2.redhat-00003

* Mon Sep 10 2018 Yong Yang <yyang@redhat.com> - 2.1.1-1.redhat_00001.1
-  2.1.1.redhat-00001 

* Mon Sep 10 2018 Yong Yang <yyang@redhat.com> - 2.1.1
- Init build
